$host.ui.RawUI.WindowTitle = "TBM modpack auto updater"
Write-Host "TBM updater: Starting updater..."

while ($true) {
    Write-Host "TBM updater: Waiting 5s..."
    Start-Sleep -m 5000
    
    Write-Host "TBM updater: Updating modpack..."
    $processOptions = @{
        FilePath = "$Env:INST_JAVA"
        ArgumentList = "-jar ./packwiz-installer-bootstrap.jar",
            "--bootstrap-no-update",
            "--no-gui",
            "https://srv.yt/public-share/packwiz-modpacks/tbm-minecraft-mods/pack.toml"
    }
    Start-Process @processOptions -Wait
    Write-Host "TBM updater: Finished updating modpack..."

}
